Skip to content

Create history

Request

Creates a new History record. History resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
animalIdstring

Identifier of the animal associated with this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
chainstring

Chain or grouping identifier for related history records.

Example:"123e4567-e89b-12d3-a456-426614174000"
commentsstring

Free-text comments or narrative for this history entry.

Example:"example"
consultIdstring

Identifier of the consult associated with this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
eventAtstring

Timestamp of the clinical or system event represented by this history record.

Example:"2025-01-01T00:00:00.000Z"
extensionsobject

Vendor- or practice-specific extensions.

historyIdstring

Unique identifier for this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
historySystemstring

Source or subsystem that created or owns this history record.

Example:"example"
isActivebooleanrequired

Whether this history record is active.

Example:true
vetIdstring

Identifier of the veterinarian associated with this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/history' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "animalId": "123e4567-e89b-12d3-a456-426614174000",
    "chain": "123e4567-e89b-12d3-a456-426614174000",
    "comments": "example",
    "consultId": "123e4567-e89b-12d3-a456-426614174000",
    "eventAt": "2025-01-01T00:00:00.000Z",
    "extensions": {},
    "historyId": "123e4567-e89b-12d3-a456-426614174000",
    "historySystem": "example",
    "isActive": true,
    "vetId": "123e4567-e89b-12d3-a456-426614174000"
  }'

Responses

History created successfully

Bodyapplication/json
animalIdstringrequired

Identifier of the animal associated with this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
chainstringrequired

Chain or grouping identifier for related history records.

Example:"123e4567-e89b-12d3-a456-426614174000"
commentsstringrequired

Free-text comments or narrative for this history entry.

Example:"example"
consultIdstringrequired

Identifier of the consult associated with this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when this history record was created.

Example:"2025-01-01T00:00:00.000Z"
eventAtstring, (date-time)required

Timestamp of the clinical or system event represented by this history record.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

historyIdstringrequired

Unique identifier for this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
historySystemstringrequired

Source or subsystem that created or owns this history record.

Example:"example"
isActivebooleanrequired

Whether this history record is active.

Example:true
updatedAtstring, (date-time)required

Timestamp when this history record was last updated.

Example:"2025-01-01T00:00:00.000Z"
vetIdstringrequired

Identifier of the veterinarian associated with this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
Response
{ "animalId": "123e4567-e89b-12d3-a456-426614174000", "chain": "123e4567-e89b-12d3-a456-426614174000", "comments": "example", "consultId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "eventAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "historyId": "123e4567-e89b-12d3-a456-426614174000", "historySystem": "example", "isActive": true, "updatedAt": "2025-01-01T00:00:00.000Z", "vetId": "123e4567-e89b-12d3-a456-426614174000" }